#!/bin/sh
#
# private extra macros (CPPFLAGS)
#
# -DSDL_WINDIB_FORCE32BPP           always use 32bit surface on windib
#                                   (workaround for some old videocards)
#
# -DSDL_WIN32_DO_NOT_HANDLE_IM      disable WIN32 system IME
#
# -DSDL_WIN32_JP106_KLUDGE          workaround for Japanese A01 keyboard
#                                   (Win32 directx/windib)
#
# -DSDL_WIN32_USE_DDRAW_PRIMALLY    detect directx/windib by platform
#                                   (win2k/xp...directx, others...windib)
#
# -DAUTO_STDIO_REDIRECT             detect stdio redirection (Win32)
#                                   (do redirect only with GUI-app)
#
# -DSDL_WINDX5_USE_HWSURFACE        enable HWSURFACE on directx
#                                   (dosbox/src/platform/sdl-win32.diff)
#
# -DSDL_KEYBOARD_HANDLE_ALTGR       RightAlt+LeftCtrl as LeftCtrl
#                                   (need to set the environment variable:
#                                    set SDL_KEYBOARD_HANDLE_ALTGR=1)



export CC="gcc"
export CXX="g++"
CPPFLAGS="-m32 -mno-cygwin -DWINVER=0x0400"
CPPFLAGS="$CPPFLAGS -DSDL_WINDIB_FORCE32BPP -DSDL_WIN32_DO_NOT_HANDLE_IM -DSDL_WIN32_JP106_KLUDGE -DSDL_WIN32_USE_DDRAW_PRIMALLY"
CPPFLAGS="$CPPFLAGS -DSDL_WINDX5_USE_HWSURFACE -DSDL_KEYBOARD_HANDLE_ALTGR"
CPPFLAGS="$CPPFLAGS -DAUTO_STDIO_REDIRECT"

CXXFLAGS="-Wall -mtune=pentium4 -march=pentium -O4 -fomit-frame-pointer -fno-strict-aliasing -fschedule-insns2"
CFLAGS="$CXXFLAGS -Wextra -pedantic"


export CPPFLAGS
export CFLAGS
export CXXFLAGS
export LDFLAGS="-s"

./configure --build=i586-pc-mingw32 \
  --prefix=/usr/local \
  --disable-stdio-redirect \
  --enable-screensaver


